Loading...
Searching...
No Matches
raptor::sync_out Class Reference

## Public Member Functions

sync_out & | operator= (sync_out &&)=default
sync_out & | operator= (sync_out const &)=default
| sync_out (search_arguments const &arguments)
| sync_out (sync_out &&)=default
| sync_out (sync_out const &)=default
template<typename t>
void | write (t &&data)
bool | write_header (search_arguments const &arguments, size_t const hash_function_count)

## Private Attributes

std::ofstream | file
std::mutex | write_mutex

The documentation for this class was generated from the following file:

- sync_out.hpp